Package org.springframework.security.web.authentication.preauth.j2ee

# Class WebXmlMappableAttributesRetriever

java.lang.Object
org.springframework.security.web.authentication.preauth.j2ee.WebXmlMappableAttributesRetriever

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ResourceLoaderAware`, `org.springframework.security.core.authority.mapping.MappableAttributesRetriever`

public class WebXmlMappableAttributesRetriever extends Object implements org.springframework.context.ResourceLoaderAware, org.springframework.security.core.authority.mapping.MappableAttributesRetriever, org.springframework.beans.factory.InitializingBean
This `MappableAttributesRetriever` implementation reads the list of defined J2EE roles from a `web.xml` file and returns these from { `getMappableAttributes()`.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`WebXmlMappableAttributesRetriever()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Loads the web.xml file using the configured `ResourceLoader` and parses the role-name elements from it, using these as the set of `mappableAttributes`.
`Set<String>`
`getMappableAttributes()`
`void`
`setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger

## Constructor Details

### WebXmlMappableAttributesRetriever

public WebXmlMappableAttributesRetriever()

## Method Details

### setResourceLoader

public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

Specified by:
  `setResourceLoader` in interface `org.springframework.context.ResourceLoaderAware`

### getMappableAttributes

public Set<String> getMappableAttributes()

Specified by:
  `getMappableAttributes` in interface `org.springframework.security.core.authority.mapping.MappableAttributesRetriever`

### afterPropertiesSet

public void afterPropertiesSet() throws Exception
Loads the web.xml file using the configured `ResourceLoader` and parses the role-name elements from it, using these as the set of `mappableAttributes`.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `Exception`